Name:           mail-notification
Version:        5.4
Release:        25%{?dist}
Summary:        Status icon that informs you if you have new mail

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.nongnu.org/mailnotify/
Source0:        http://savannah.nongnu.org/download/mailnotify/mail-notification-%{version}.tar.bz2
Patch0:		mail-notification-5.4-evolution.patch
Patch1:		mail-notification-5.4-gmime.patch
Patch2:		mail-notification-5.4-sasl_encode64.patch
Patch3:		mail-notification-5.4-evolution-gtkhtml.patch
Patch4:		mail-notification-5.4-camel_headers.patch
Patch5:		mail-notification-5.4-icons.patch
Patch6:		mail-notification-5.4-weak.patch
Patch7:		mail-notification-5.4-popup-attach.patch
Patch8:		mail-notification-5.4-kde-trayicon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  desktop-file-utils, scrollkeeper
BuildRequires:  openssl-devel >= 0.9.6
BuildRequires:  cyrus-sasl-devel >= 2.0
BuildRequires:  glib2-devel >= 2.14
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  GConf2-devel, libgnomeui-devel
BuildRequires:  libglade2-devel, dbus-glib-devel
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  gmime-devel >= 2.4
BuildRequires:  gnome-keyring-devel
BuildRequires:  perl-XML-Parser
# needed only when some .gob sources are changed, still not in rawhide...
#BuildRequires:  gob2 >= 2.0.16
BuildRequires:  evolution-devel 
BuildRequires:  evolution-data-server-devel >= 1.5

# temporary to work-around some dependency issues in other packages...
BuildRequires:  libICE-devel, libSM-devel

Requires:         hicolor-icon-theme

Requires(pre):    GConf2
Requires(post):   GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper


%description
Mail Notification is a status icon (aka tray icon) that informs you if you
have new mail. It works with system trays implementing the freedesktop.org
System Tray Specification, such as the GNOME Panel Notification Area, the
Xfce Notification Area and the KDE System Tray.


%package        evolution-plugin
Summary:        Evolution plugin for Mail Notification
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Obsoletes:	mail-notification < 3.0-4

%description	evolution-plugin
Evolution support for Mail Notification.


%prep
%setup -q
%patch0 -p1 -b .evolution
%patch1 -p1 -b .gmime
%patch2 -p1 -b .sasl_encode64
%patch3 -p1 -b .gtkhtml
%patch4 -p1 -b .camel_headers
%patch5 -p1 -b .icons
%patch6 -p1 -b .weak
%patch7 -p1 -b .popup_attach
%patch8 -p1 -b .kde_trayicon

#  Drop #line statements in C sources generated bu .gob,
#  for the proper debuginfo package
pushd build/src
for f in *.c *.h
do
    sed -i '/^#line / d' $f
done
popd


%build

./jb configure \
	cc="%{__cc}" \
	cflags="$RPM_OPT_FLAGS" \
	cppflags="-D_GNU_SOURCE" \
	libs="-lX11" \
	destdir=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	libexecdir=%{_libexecdir} \
	datadir=%{_datadir} \
	sysconfdir=%{_sysconfdir} \
	localstatedir=%{_localstatedir} \
	install-gconf-schemas=no

./jb build


%install
rm -rf $RPM_BUILD_ROOT

# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

./jb install

#  clear /var/lib/scrollkeeper stuff here
rm -rf $RPM_BUILD_ROOT%{_localstatedir}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

chmod +x $RPM_BUILD_ROOT%{_libdir}/evolution/*/plugins/*.so

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/gnome/autostart/  \
  --delete-original                                    \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/mail-notification.desktop

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --delete-original                                    \
  --add-category X-GNOME-NetworkSettings               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/mail-notification-properties.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

/usr/bin/scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%postun
/usr/bin/scrollkeeper-update -q ||:

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%triggerpostun -- %{name} < 5.0
#  Work-around for the broken preun scriptlets in some previous packages
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_sysconfdir}/gconf/schemas/mail-notification.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/autostart/fedora-mail-notification.desktop
%{_datadir}/applications/fedora-mail-notification-properties.desktop
%{_datadir}/gnome/help/mail-notification/
%dir %{_datadir}/omf/mail-notification/
%{_datadir}/omf/mail-notification/mail-notification-C.omf
%{_datadir}/icons/hicolor/*/apps/mail-notification.*


%files evolution-plugin
%defattr(-,root,root,-)
%{_libdir}/evolution/*/plugins/*


%changelog
* Mon Oct 11 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-25
- fix popup window place
  (#608372, by Erik van Pienbroek <erik-fedora@vanpienbroek.nl>)
- fix tray icon freezes on KDE when unread count reaches zero (#641580)
- support evolution 2.90+ (#642158, <mcrha@redhat.com>)

* Fri Sep 17 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-24
- add support for evolution 2.31+
  (#633507, by Erik van Pienbroek <erik-fedora@vanpienbroek.nl>)
  Combined with common evolution patch

* Thu Sep  9 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-23
- rebuild with new evolution-data-server

* Wed Jul 14 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-22
- rebuild with new gtkhtml3

* Tue Jun  8 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-21
- rebuild with new evolution-data-server

* Mon May 24 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-20
- change icon usage for Fedora 13 (#573809)
- fix some memory failures (Mat Booth <fedora@matbooth.co.uk>)

* Tue May  4 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-19
- rebuilt with new evolution-data-server

* Fri Feb 16 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-18
- rebuilt with gmime-2.6
- explicitly link with libX11 (#564739)

* Mon Feb  1 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-17
- update evolution patch (#538956, by Matthew Barnes <mbarnes@redhat.com>)

* Sat Aug 22 2009 Tomas Mraz <tmraz@redhat.com> - 5.4-16
- rebuilt with new openssl

* Fri Aug 21 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-14
- add gtkhtml3-devel pkgconfig requirements into config stuff
  for evolution plugin build

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-11
- add patch for new cyrus-sasl's ABI (Jan F. Chadima, #501456)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Caolán McNamara <caolanm@redhat.com> - 5.4-9
- rebuild for dependencies

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 5.4-8
- rebuild with new openssl

* Mon Dec 22 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-7
- rebuild with new gmime-2.4

* Wed Dec 17 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-6
- rebuild for dependencies

* Sat Nov 29 2008 Caolán McNamara <caolanm@redhat.com> - 5.4-5
- rebuild for dependencies

* Mon Oct 27 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-4
- fix plugin permissions (#468524)

* Wed Oct  1 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-3
- add patch for evolution >= 2.23.5 (#464779)

* Mon Aug 11 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-2
- rebuild for new evolution-2.24 (#458587)

* Mon Jun 30 2008 Dmitry Butskoy <Dmitry@Butskoy.name>
- drop X-Fedora category from desktop files
- use X-GNOME-NetworkSettings (instead of X-GNOME-PersonalSettings)
  for the preferences desktop file (#453262)

* Wed Jun  4 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.4-1
- update to 5.4 (#445345)

* Mon May 19 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.3-2
- add triggerpostun scriptlet to handle broken preun scriptlets
  of packages before Fedora 9 (mail-notification < 5.0) (#446315)

* Mon Apr 28 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.3-1
- update to 5.3
- scriptlets cleanups

* Wed Apr  9 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.2-3
- add cache-crash patch from upstream (#440433)

* Tue Mar 25 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.2-2
- drop extra '#line" statements from pre-generated C sources
  (needed for debuginfo package)

* Mon Mar 24 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.2-1
- Upgrade to 5.2

* Thu Feb 14 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 5.0-3
- rebuild for Fedora 9

* Thu Jan 31 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.0-2
- add http://launchpadlibrarian.net/11684452/mail-notification-5.0-eelfix.diff
  from https://bugs.launchpad.net/bugs/180400

* Fri Jan 04 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.0-1
- Update to 5.0

* Wed Dec 05 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.0-0.2.rc1
- rebuild for new libssl.so.6/libcrypto.so.6

* Wed Nov 28 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.0-0.1.rc1
- Update to 5.0-rc1
- drop patches now upstream
- update gconf scripts

* Fri Nov 23 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4.1-5
- Rebuild against evo 2.21

* Sun Aug 26 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4.1-4
- add mail-notification-evo-api-change.patch to fix compilation against
  evo 2.12 (taken from ubuntu's gutsy package -- thx guys!)

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Jul 22 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.1-3
- Add Desktop-Category X-GNOME-PersonalSettings (#249181)

* Thu Jun 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.1-2
- temporary add patch to make configure find the evolution-plugin stuff

* Tue Jun 26 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.1-1
- Update to 4.1
- Drop mail-notification-fix_gdk_deadlock.patch (fixed upstream)

* Fri Mar 09 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-2
- Apply patch from Erik van Pienbroek to fix #227828 (needed for new
  at-spi)

* Wed Jan 17 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-1
- Update to 4.0 final

* Wed Dec 20 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.3.rc2
- Rebuild

* Thu Dec 07 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.2.rc2
- Update to 4.0rc2

* Tue Nov 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.1.rc1
- Update to 4.0rc1
- remove some unneeded workarounds and patches
- require hicolor-icon-theme

* Tue Nov 21 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-11
- add mail-notification-mail-reader-launch.patch (#215119, credits go to
  John Conroy)

* Thu Nov 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-10
- Update patch

* Sat Nov 04 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-9
- add a patch that informs the user to install the evolution-plugin if
  he want to use mn with evo

* Sun Oct 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-8
- add workaround that hacks configure to allow building with evo 2.10

* Sat Sep 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-7
- don't run mail-notification with unset-obsolete-configuration at all

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-6
- add BR perl-XML-Parser ;-)

* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-5
- Rebuild for devel
- run unset-obsolete-configuration only works when DISPLAY is set; will
  report upstream

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-4
- Package evolution plugin separately

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-3
- rebuild for new gail
- send ouput from unset-obsolete-configuration to /dev/null and ignore retval

* Sun Jul 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-2
- unset-obsolete-configuration in post

* Wed Jun 14 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-1
- Update to 3.0

* Fri Jun 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-0.1.rc2
- Update to 3.0-rc2 (with some help from Joseph E. Sacco, Ph.D.)

* Tue May 30 2006 Radek Vokal <rvokal@redhat.com> 2.0-13
- fixed for evolution 2.7

* Thu Apr 27 2006 Paul Clifford <paul.clifford+fe[AT]gmail[DOT]com> 2.0-12
- Added patch for IMAP authentication problem from project homepage (#190137)

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Mon Jan 30 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-10
- rebuild

* Thu Jan 17 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-9
- fixes for evolution >= 2.5

* Thu Jan 17 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-8
- rebuild

* Thu Nov 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-7
- rebuild against new openssl
- use LDFLAGS and not CFLAGS for fixing #172010

* Sat Nov 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-6
- Fix #172010 with export CFLAGS="-Wl,--export-dynamic" for now
- BR evolution-data-server-devel
- Use --disable-schemas-install

* Thu Sep 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-5
- BR evo-devel

* Tue Sep 20 2005 Radek Vokal <rvokal@redhat.com> 2.0-4
- add mail-notification-evolution.patch and enable evo-support

* Sat Sep 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-3
- rebuild for new icu

* Fri Aug 19 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-2
- rebuild

* Wed Aug 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-1
- Update to 2.0 -- build without evolution support for now (seems it
  needs the whole evo-source)
- Use dist
- Add two patches
- New BR gob2

* Wed May 18 2005 Colin Charles <colin@fedoraproject.org> - 1.1.-3
- bump release, request build for ppc

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1-2
- Include mail-notification directory in datadir/omf.

* Mon Mar 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.1-1
- update to 1.1
- remove gmail build option and add new BR libicu-devel

* Tue Nov 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.0-0.fdr.1
- update to 1.0

* Tue Nov 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.99-0.fdr.1
- update to 0.99
- rename mail-notfication-README.FEDORA to mail-notification-README.FEDORA
- Add BR gnutls-devel and libgcrypt-devel for gmail build

* Tue Nov 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.3
- trim build comment
- own _datadir/gnome/help/mail-notification/
- rename SOURCE1 from README.FEDORA to mail-notfication-README.FEDORA


* Sat Nov 06 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.2
- Really remove "killall bonobo-activation-server"; Add a README.FEDORA
  which descibes the problem.
- Spilt post,preun,postun sections
- Use --with gmail to build for FC3 with gmail-support

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.1
- Update to 0.8.1

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.0-0.fdr.1
- Update to 0.8.0

* Sun Oct 28 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.1-0.fdr.1
- Update to 0.7.1
- BR gettext

* Sun Oct 17 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.0-0.fdr.1
- Update to 0.7.0
- Add gmime dependency
- No gmailsupport until FC3
- Removed "killall bonobo-activation-server" again -- bad idea it seems

* Tue Sep 14 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.2-0.fdr.1
- Update to 0.6.2
- After talkback with program author added "killall bonobo-activation-server"
  to post section

* Sun Aug 29 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.1-0.fdr.1
- Initial RPM release.
